Bug 710578

Summary: [apache] Bytes Received for Requests metrics are always 0
Product: [Other] RHQ Project Reporter: Larry O'Leary <loleary>
Component: PluginsAssignee: Deon Ballard <dlackey>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0.1CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Apache Web Server - httpd 2.2.15 JON 2.4.1 Apache Plug-In Apache SNMP Module
Last Closed: 2013-09-01 15:21:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Larry O'Leary 2011-06-03 14:52:36 EDT
The Apache plug-in exposes metrics such as the following:

Bytes Received for GET Requests per Minute
Bytes Received for POST Requests per Minute
Total Number of Bytes Received per Minute

When using the SNMP module to monitor Apache, the values for these metrics are always 0.

This is due to how Apache creates the response_rec used by the SNMP module. The issue is multi-part:

  1) The request_rec provides various length values for the request body and a GET request will not (or should not) have a body, therefore, it is always expected to be 0

  2) If request chunking is occurring (which is the case with most clients) Apache does not calculate the request body size.


At a minimum, this should be documented so that it is clear that these metrics will normally contain a 0 value.

Ideally, the SNMP module should be updated to support the calculation of the request size in a similar manner that mod_logio calculates a request size. It calculates it by gathering all the chunks and examining the request size as a whole instead of the body only.
Comment 1 Mike Foley 2011-10-07 15:03:35 EDT
requires documentation (per 10/7/2011 triage meeting with ccrouch)
Comment 3 Heiko W. Rupp 2013-09-01 15:21:57 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.